安装Office2010提示需要MSXML版本6.10.1129.0的解决办法

在安装office2010时,提示需要MSXML版本6.10.1129.0。具体解决办法如下:

office2010-wen-1

1.下载MSXML 6.0,在微软官方下载中心就能下载,或者在百度上搜索下载msxml6_x86.msi和msxml6_x64.msi。32位系统只用下载msxml6_x86.msi。微软下载地址:点击下载

2.下载好后运行这两个文件,32位系统只运行安装msxml6_x86.msi,64位系统两个都运行安装。

3.用WIN+R键组合呼出运行,在运行里输入:regsvr32 /u msxml6.dll,然后确定,再次在运行里输入:regsvr32 msxml6.dll,然后确定。再尝试一下安装office2010,如果还是不能正常安装的话看下面的步骤。

office2010-wen-2

office2010-wen-3

4.用WIN+R键组合呼出运行,输入regedit点击进入注册表编辑器。

5.依次打开路径,直到找到:HKEY_CLASSES_ROOT\TypeLib\{F5078F18-C551-11D3-89B9-0000F81FE221}\6.0\0\win32,选中win32,单击右键然后再选择权限。将你自己的用户权限设置为完全控制,即在完全控制右边的允许下面的方框打上勾。完成后点击应用,再点击确定。

PS:找不到F5078F18-C551-11D3-89B9-0000F81FE221的解决办法

office2010-wen-4

office2010-wen-5

6.左边选择win32,然后选中右边的默认后右键单击再选择修改,数值数据%SystemRoot%\System32\msxml6.dll更改为C:\Windows\System32\msxml6.dll,原来没有数值的话也输入后面的值,改好后点击确定。

office2010-wen-6

7.双击office2010的安装程序setup.exe,可以顺利安装了。